Use the `ICard` <word data-key="interface">interface</word> to write:

1. A function <code>isBlack</code> that returns <word data-key="true">true</word> if the card parameter is black (spades or clubs) and false otherwise:<p><pre class='prettyprint'><code>public boolean isRead(ICard card){ ... }</code></pre></p>
2. In poker, a <a href='http://en.wikipedia.org/wiki/List_of_poker_hands#One_pair'>pair</a> is two cards of the same rank, like two 2s or two Kings. Write <code>isPair</code>, a function that returns `true` if its two ICard parameters represent a pair and `false` otherwise.<p><pre class='prettyprint'><code>public boolean isPair(ICard first, ICard second){ ... }</code></pre></p>
3. A <a href='http://en.wikipedia.org/wiki/List_of_poker_hands#Straight'>straight</a> is a set of cards that contains five cards of sequential rank in at least two different suits, like 10♣, <span style='color:red';>9♠</span>, <span style='color:red';>8♦</span>, 7♣, <span style='color:red';>6♥</span>. Write a function <code>isStraight</code> that returns `true` if the hand contains a straight and `false` if it doesn't.<p><pre class='prettyprint'><code>public boolean isStraight(ICard[] hand){ ... }</code></pre></p>
4. In <a href='http://en.wikipedia.org/wiki/Blackjack'>Blackjack</a>, the value of a hand is the total of the cards. Aces count for either 1 or 10, whichever is more advantagenous, and face cards (jacks, queens, and kings) are &ldquo;worth&rdquo; their <code>getRank()</code> value. (So: 11, 12, and 13 respectively.) Write the <code>handTotal</code> function that returns the total value of a hand.<p><pre class='prettyprint'><code>public int handTotal(ICard[] hand){ ... }</code></pre></p>